Bug 149364 - missing return statement
Summary: missing return statement
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 17:32 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 21:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-22 17:32:26 UTC
Description of problem:

I just tried to compile package apt-0.5.15cnc6-16.r362 from 
Redhat Fedora Extras development tree.

The compiler said

1.

local/linit.c(7): warning #1011: missing return statement at end of
non-void function "luaopen_init"

It seems that the function at line 7 is declared as having int return
type, but there is no return statement in the body of the routine.

Suggest add return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Panu Matilainen 2006-04-18 21:52:57 UTC
This has been fixed in SVN for some time now.


Note You need to log in before you can comment on or make changes to this bug.